<template>
  <div v-if="userObject && userObject.full_name">
    <div v-if="!is_dropdown">
      <div class="nt-barge-dropdown">
        <!--<i class="la la-user" style="font-size: 13px;"></i>&nbsp;-->
        {{userObject.full_name | truncateWords }}
      </div>
    </div>
    <div
      v-else
      class="m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push"
      m-dropdown-toggle="click"
      aria-expanded="true"
    >
      <a
        href="javascript:;"
        class="m-portlet__nav-link m-dropdown__toggle btn m-btn m-btn--link nt-barge-dropdown m--margin-bottom-5 m--margin-right-5"
      >
        <!--<i class="la la-user" style="font-size:13px;"></i>&nbsp;-->
        {{ userObject.full_name | truncateWords }}
      </a>
      <div class="m-dropdown__wrapper">
        <span class="m-dropdown__arrow m-dropdown__arrow--left m-dropdown__arrow--adjust"></span>
        <div class="m-dropdown__inner">
          <div class="m-dropdown__body">
            <div class="m-dropdown__content">
              <ul class="m-nav">
                <li class="m-nav__item" v-if="userObject.phone_number">
                  <a style="pointer-events: none;" href="javascript:;" class="m-nav__link">
                    <i class="m-nav__link-icon icon icon-phone-call"></i>
                    <span class="m-nav__link-text">{{ userObject.phone_number | formatPhone }}</span>
                  </a>
                </li>
                <li class="m-nav__item" v-if="userObject.email">
                  <a style="pointer-events: none;" href="javascript:;" class="m-nav__link">
                    <i class="m-nav__link-icon icon icon-email"></i>
                    <span class="m-nav__link-text">{{ userObject.email }}</span>
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import { mapGetters } from "vuex";

export default {
  props: {
    user_id: {
      type: Number,
      required: true
    },
    is_dropdown: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    ...mapGetters(["listUsers"])
  },
  watch: {
    user_id: {
      handler() {
        let vm = this;
        vm.getUserObject();
      },
      deep: true
    },
    listUsers: {
      handler() {
        let vm = this;
        vm.getUserObject();
      },
      deep: true
    }
  },
  created() {
    this.getUserObject();
  },
  data() {
    return {
      userObject: {}
    };
  },
  methods: {
    getUserObject() {
      let vm = this;
      vm.listUsers.find(function(user) {
        if (user.id === vm.user_id) {
          vm.userObject = user;
        }
      });
    }
  }
};
</script>
